<?php

class CommandSqlSectionExecFromZip extends Command{
  
  public function Execute($VarFileNameSql) {
    $VarFileNameSql = $this->ObjUpdateMod->UpdateExtractFolder . $VarFileNameSql;
    if (true === file_exists($VarFileNameSql)){
      $VarContent = file_get_contents($VarFileNameSql);
      $ArrContent = explode('---*-*-', $VarContent);
      $VarReturn = $this->ObjUpdateMod->ObjSystemMod->RestoreToDb($ArrContent);
      return $VarReturn;
    }
    else{
      return FALSE;
    }
  }
}
?>